%define qtdir /usr/lib/qt-1.45
%define kdename knewmail
%define ver 3.1.1
%define rel 1
%define prefix /usr

Summary: An e-mail notification utility for KDE.
Name: %{kdename}
Version: %{ver}
Release: %{rel}
Group: Applications/Internet
Copyright: GPL
Url: http://www.slac.com/mpilone/knewmail_home/mainpage.html
Source: http://www.slac.com/mpilone/knewmail_home/download/%{name}-%{version}.tar.bz2
Patch: knewmail-alpha.patch
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root
Requires: kdesupport

%description
KNewMail is an e-mail notification utility for the K Desktop
Environment (KDE).  KNewMail supports multiple POP3 servers and can be
configured to notify you of new mail in a variety of ways: popping up
a window displaying the number of messages you have waiting; playing a
.wav file or the system bell, etc.  You'll need to have X and KDE
installed in order to use KNewMail.

%prep
%setup -q
%patch

%build
export QTDIR=%{qtdir}
export KDEDIR=%{prefix}
export MOC=%{qtdir}/bin/moc

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix} \
	--with-install-root=$RPM_BUILD_ROOT
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}
make prefix=$RPM_BUILD_ROOT%{prefix} install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
  $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
  -e '/\/config\//s|^|%config|' \
  -e '\/etc\//s|^|%config|' >> \
  $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
  $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}
%doc AUTHORS COPYING ChangeLog BUGS README UPGRADE WHATSNEW knewmail/*.wav

%clean
rm -rf $RPM_BUILD_ROOT
rm -f ../file.list.%{kdename}

%changelog
* Thu Jan 13 2000 Ngo Than <than@redhat.de>
- updated to 3.1.1

* Fri Sep 17 1999 Preston Brown <pbrown@redhat.com>
- upgraded for 6.1

* Tue Apr 13 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
